Loading...
Searching...
No Matches
etl::ischeduler Class Referenceabstract

Scheduler base. More...

`#include <scheduler.h>`

## Public Member Functions

virtual void | start ()=0
void | set_idle_callback (etl::ifunction< void > &callback)
| Set the idle callback.
void | set_watchdog_callback (etl::ifunction< void > &callback)
| Set the watchdog callback.
void | set_scheduler_running (bool scheduler_running_)
| Set the running state for the scheduler.
bool | scheduler_is_running () const
| Get the running state for the scheduler.
void | exit_scheduler ()
| Force the scheduler to exit.
void | add_task (etl::task &task)
template<typename TSize>
void | add_task_list (etl::task **p_tasks, TSize size)

## Protected Member Functions

| ischeduler (etl::ivector< etl::task * > &task_list_)
| Constructor.

## Protected Attributes

bool | scheduler_running
bool | scheduler_exit
etl::ifunction< void > * | p_idle_callback
etl::ifunction< void > * | p_watchdog_callback

## Detailed Description

Scheduler base.

## Member Function Documentation

## add_task()

void etl::ischeduler::add_task | ( | etl::task & | task | ) |

inline

Add a task. Add to the task list in priority order.

## add_task_list()

template<typename TSize>

void etl::ischeduler::add_task_list | ( | etl::task ** | p_tasks,
|  | TSize | size )

inline

Add a task list. Adds to the tasks to the internal task list in priority order. Input order is ignored.

## start()

virtual void etl::ischeduler::start | ( |  | ) |

pure virtual

Implemented in etl::scheduler< TSchedulerPolicy, MAX_TASKS_ >.

The documentation for this class was generated from the following file:

- include/etl/scheduler.h